# Interface PromiseState

interface PromiseState {
pending: PromiseResolvables[];
processScheduled: boolean;
pur: boolean;
status: number;
value: any;
}

- Defined in core/q/q.js:21

#####
Index

### Properties

pending
processScheduled
pur
status
value

##
Properties

### pending

pending: PromiseResolvables[]

- Defined in core/q/q.js:23

### processScheduled

processScheduled: boolean

- Defined in core/q/q.js:24

### pur

pur: boolean

- Defined in core/q/q.js:26

### status

status: number

- Defined in core/q/q.js:22

### value

value: any

- Defined in core/q/q.js:25